package com.ssj.service.conch.game.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @author yrf
 * @date 2020/4/22 13:29
 */
public class SaveRespondentInfoReq extends BaseRequest {

    private static final long serialVersionUID = 6256862988332930088L;

    @ApiModelProperty(name = "name", value = "答题人姓名", required = true)
    @NotBlank
    private String name;

    @ApiModelProperty(name = "age", value = "答题人年龄(1~150)", required = true)
    @NotNull
    @Min(1)
    @Max(150)
    private Integer age;

    @ApiModelProperty(name = "sex", value = "答题人性别(1:男，2：女)", required = true)
    @NotNull
    @Min(1)
    @Max(2)
    private Integer sex;

    @ApiModelProperty(name = "phone", value = "答题人电话", required = true)
    @NotBlank
    private String phone;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
}
